# Generated by Django 3.1.1 on 2021-03-31 02:28

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('crams_allocation', '0002_init_lookups'),
        ('crams_storage', '0002_init_lookups'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('crams', '0008_load_crams_lookups'),
    ]

    operations = [
        migrations.CreateModel(
            name='IngestSource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('location', models.CharField(max_length=47)),
                ('source', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='crams.eresearchbodysystem')),
            ],
        ),
        migrations.CreateModel(
            name='StorageInfrastructure',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_ts', models.DateTimeField(auto_now_add=True)),
                ('last_modified_ts', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=99)),
                ('display_name', models.CharField(blank=True, max_length=999, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='storageinfrastructure_created_by', to=settings.AUTH_USER_MODEL)),
                ('e_research_body', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='crams.eresearchbody')),
                ('updated_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='storageinfrastructure_updated_by', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='StorageUsageIngest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extract_date', models.DateField(db_index=True)),
                ('reported_allocated_gb', models.FloatField(default=0.0)),
                ('ingested_gb_disk', models.FloatField(default=0.0)),
                ('ingested_gb_tape', models.FloatField(default=0.0)),
                ('creation_ts', models.DateTimeField(auto_now_add=True)),
                ('provision_id', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='ingests', to='crams_storage.storageproductprovisionid')),
                ('related_storage_request', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='crams_allocation.storagerequest')),
                ('reported_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='crams_resource_usage.ingestsource')),
            ],
            options={
                'index_together': {('provision_id', 'extract_date')},
            },
        ),
    ]
